Name: 		seahorse
Version: 	0.8.2
Release:    	2%{?dist}
Summary:	GNOME interface for gnupg
Group: 		User Interface/Desktops
License: 	GPL
URL:        	http://seahorse.sourceforge.net/
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  eel2-devel
#BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  gpgme-devel >= 1.0
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  nautilus-devel
BuildRequires:  libsoup-devel
BuildRequires: 	openldap-devel

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description
Seahorse is a GNOME interface for gnupg. It uses gpgme as the backend.


%prep
%setup -q


%build
%configure --disable-schemas-install --disable-static --disable-update-mime-database --disable-gedit
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

rm -rf ${RPM_BUILD_ROOT}/var/scrollkeeper
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse-pgp-encrypted.desktop

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse-pgp-signature.desktop

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category GNOME                                  \
  --add-category Utility                                \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse.desktop


find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	#SCHEMAS="seahorse-gedit.schemas seahorse.schemas"
	SCHEMAS="seahorse.schemas"
	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gconf/schemas/$i >/dev/null || :
	done
fi


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#SCHEMAS="seahorse-gedit.schemas seahorse.schemas"
SCHEMAS="seahorse.schemas"
for i in $SCHEMAS; do
	gconftool-2 --makefile-install-rule \
		%{_sysconfdir}/gconf/schemas/$i >/dev/null || :
done
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	#SCHEMAS="seahorse-gedit.schemas seahorse.schemas"
	SCHEMAS="seahorse.schemas"
	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gconf/schemas/$i >/dev/null || :
	done   
fi


%postun
/sbin/ldconfig
scrollkeeper-update -q ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/control-center-2.0/capplets/*.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/mime-info/seahorse.keys
%{_datadir}/mime-info/seahorse.mime
%{_datadir}/mime/packages/*
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/*
%{_libdir}/libseahorse-internal*
#%{_libdir}/gedit-2/plugins/*
%{_libdir}/nautilus/extensions-1.0/libnautilus-seahorse.so
%{_sysconfdir}/gconf/schemas/*


%changelog
* Tue Feb 26 2007 Seth Vidal <skvidal@fedoraproject.org> - 0.8.2-2
- disable gedit to make it work on rawhide

* Tue Nov 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2.
- Minor tweak to summary & description.
- Drop BR on libgnomeui-devel, since eel2-devel pulls this in.
- Use -disable-update-mime-database instead of editing makefiles.
- Update scriptlets, and adjust Requires to follow wiki guidelines.
- Remove X-Fedora category from desktop files.
- Don't bother building static libs.
- Remove unnecessary disabling of schemas in install section.

* Mon Aug 28 2006 Seth Vidal <skvidal at linux.duke.edu>
- rebuild

* Sun Aug 13 2006 Seth Vidal <skvidal at linux.duke.edu>
- re-enable gedit
- update to 0.8.1

* Tue Mar  7 2006 Seth Vidal <skvidal at linux.duke.edu>
- added openldap-devel buildreq to hopefully close bug # 184124

* Thu Feb 23 2006 Seth Vidal <skvidal at linux.duke.edu>
- Patch from John Thacker for rh bug #182694 


* Mon Jan 16 2006 Seth Vidal <skvidal at linux.duke.edu> - 0.8-2
- added configure patch for it to build
- disable gedit plugins until seahorse gets fixed to work with gedit 2.13+

* Wed Oct 26 2005 Seth Vidal <skvidal@phy.duke.edu> - 0.8-1
- 0.8

* Thu Jul 28 2005 Seth Vidal <skvidal@phy.duke.edu> - 0.7.9-1
- 0.7.9

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 0.7.7-3
- make sure all files are included
- BR nautilus-devel

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.7.7-2
- rebuild on all arches

* Thu May  5 2005 Seth Vidal <skvidal@phy.duke.edu> 0.7.7-1
- 0.7.7

* Tue Apr 19 2005 Seth Vidal <skvidal at phy.duke.edu> 0.7.6-4
- something innocuous to test on


* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> 0.7.6-2
- desktop entry fixes.

* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> 0.7.6-1
- 0.7.6.

* Mon Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.5
- BuildReq scrollkeeper.

* Wed Oct 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.4
- Uncommented .la removal.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.3
- Grabbed new copy os source from upstream.
- Fixed path on Source0, to allow direct download.
- BuildReq desktop-file-utils.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.2
- Fixed file permission on source tarball.
- Fixed Group.
- Removed aesthetic comments.
- Brought more in line with current spec template.

* Sun Aug 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.1
- Fedorification.
- Added path to Source0.
- Added URL.
- buildroot -> RPM_BUILD_ROOT.
- BuildReq libgnomeui-devel, eel2-devel, gpgme03-devel.
- BuildReq gettext.
- post Req GConf2.
- post/postun Req scrollkeeper.
- .la/.a removal.
- cosmetic changes.

* Fri May 02 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.3-1
- 0.7.3 Release

* Wed Apr 23 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.1-3
- Rebuilt against gpgme 0.3.15

* Sat Apr 12 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.1-2
- RedHat 9 Rebuild

* Sun Jan 26 2003 Matthew Hall <matt@ecsc.co.uk>
- New Spec File

